Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/tomba/people-phone-find?email=hello%40example.com&full=false' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/tomba/people-phone-find \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tomba/people-phone-find"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tomba/people-phone-find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tomba/people-phone-find",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tomba/people-phone-find"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tomba/people-phone-find")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tomba/people-phone-find")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyTomba
Find a direct phone number by email, domain or LinkedIn
supply exactly one of email / domain / linkedin. THE MOST EXPENSIVE ROUTE HERE at 5 credits
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.0445 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
tomba
/
people-phone-find
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/tomba/people-phone-find?email=hello%40example.com&full=false' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/tomba/people-phone-find \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tomba/people-phone-find"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tomba/people-phone-find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tomba/people-phone-find",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tomba/people-phone-find"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tomba/people-phone-find")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tomba/people-phone-find")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: GET /apis/v1/tomba/people-phone-find
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/tomba/people-phone-find - domain: query; optional
- email: query; required
- full: query; required
- linkedin: query; optional
- Runtime facts: 7feb135f2ccd5182baeedb89d4b228220a67ed0f55537516fa0bf728bb0a7fca
{
"operationId": "tomba.people-phone-find",
"method": "GET",
"path": "/apis/v1/tomba/people-phone-find",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "domain",
"in": "query",
"required": false,
"schema": {
"type": "string",
"description": "look the number up from a company domain"
}
},
{
"examples": {
"default": {
"value": "hello@example.com"
},
"minimal": {
"value": "hello@example.com"
}
},
"in": "query",
"name": "email",
"required": true,
"schema": {
"minLength": 1,
"type": "string",
"description": "look the number up from a work email"
}
},
{
"examples": {
"default": {
"value": false
},
"minimal": {
"value": false
}
},
"in": "query",
"name": "full",
"required": true,
"schema": {
"enum": [
false
],
"type": "boolean"
}
},
{
"name": "linkedin",
"in": "query",
"required": false,
"schema": {
"type": "string",
"description": "look the number up from a LinkedIn profile URL"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0445,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0445 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0445
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_header
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
look the number up from a company domain
look the number up from a work email
Minimum string length:
1Available options:
false look the number up from a LinkedIn profile URL
Response
Successful response